SDL_ReadStorageFile(3)

NAME
SDL_ReadStorageFile - Synchronously read a file from a storage container into a client-provided buffer.

HEADER FILE
Defined in SDL3/SDL_storage.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_ReadStorageFile(SDL_Storage *storage, const char *path, void *destination, Uint64 length);

FUNCTION PARAMETERS

storage
    a storage container to read from

path
    the relative path of the file to read

destination
    a client-provided buffer to read the file into

length
    the length of the destination buffer

RETURN VALUE
Returns 0 if the file was read, a negative value otherwise; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_GetStorageFileSize(3), SDL_StorageReady(3), SDL_WriteStorageFile(3)